from pi_pico_relais_4_grove import *
from machine import Pin, I2C
from time import sleep

# Crée un objet I2C
i2c0 = I2C(0, scl=Pin(9), sda=Pin(8), freq=400000)    # I2C0 utilisé  

# Crée un objet Relais_4_grove
relais = Relais_4_grove(i2c0)

relais.adresse_i2c(0x11)                              # Adresse I2C, 0x11 par defaut 

relais.scan_i2c_adresse()                             # Scanne les adresses I2C

#relais.change_i2c(0x11,0x20)                         # Changement d'adresse I2C

relais.ctrl_global(0b0100)                            # Marche relais 3, arrêt des autres
sleep(2)
relais.ctrl_global(0b1100)                            # Marche relais 3 et 4, arrêt des autres
sleep(2)

relais.ctrl(2,1)                                      # Marche relais 2
sleep(2)
relais.ctrl(2,0)                                      # Arrêt relais 2

print("Etat des relais : ", relais.etat())            # Retourne un octet représentant l'état des 4 relais



